Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi
Interface MetaEventListener

All Superinterfaces:
  EventListener

    public interface MetaEventListener

extends EventListener

The `MetaEventListener` interface should be implemented by classes whose instances need to be notified when a ``Sequencer`` has processed a ``MetaMessage``. To register a `MetaEventListener` object to receive such notifications, pass it as the argument to the ``addMetaEventListener`` method of `Sequencer`.

Method Summary
`void` | `meta(MetaMessage meta)` Invoked when a ``Sequencer`` has encountered and processed a `MetaMessage` in the ``Sequence`` it is processing.

Method Detail

### meta

    void meta(MetaMessage meta)

  Invoked when a ``Sequencer`` has encountered and processed a `MetaMessage` in the ``Sequence`` it is processing.

  Parameters:
    `meta` - the meta-message that the sequencer encountered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.